@echo off

rem Make sure the user typed in something
if not "%1" == "" goto run
   echo "Usage %0:  <XBRL-file>"
   goto end

:run
set XBRL-FULL=%~f1
set XBRL-EXT=%~x1

rem Make sure this is a .xml file
if "%XBRL-EXT%" == ".xml" goto transform
   echo "File '%1' does not end in '.xml'"
   goto end

:transform
echo Processing %XBRL-FULL%

set XBRL=%1
set XBRL-PATH=%~dp1
set XBRL-N=%~n1
set ISO=%XBRL-PATH%%XBRL-N%-iso.xml
set VLOG=%XBRL-PATH%%XBRL-N%-iso.schema-validation.log
set TEMP=%XBRL-PATH%%XBRL-N%-temp.xml

set BATCH-PATH=%~dp0
set LIB-PATH=%BATCH-PATH%lib\
set XSL1=%LIB-PATH%xbrl-to-iso-converter.xsl
set XSL2=%LIB-PATH%compress.xsl
set SCHEMA=%BATCH-PATH%seev.031.001.01.xsd

set SAXON9-JAR=%LIB-PATH%saxon9.jar
set JING-JAR=%LIB-PATH%jing.jar

java -jar "%SAXON9-JAR%" -t -s:"%XBRL%" -xsl:"%XSL1%" -o:"%ISO%"

:end
